# delimit ;
****** borrowed a lot from winp5.do, from the PSID paper ;
set more 1 ;
program drop _all;
drop _all;
capture log close;
log using C:\research\hrs\prof\prof_earn.log, replace ;
use C:\research\hrs\merge\merge7a ;
gen lwage=ln(wage);
rename _earn winc; * just keep with the PSID variable definition;

*sum _*earn _rPE* _rSO* if married~=. & hrscoh==1;
*sum _*earn _l* if married~=. & hrscoh==1;
*exit;

drop ageg* ;
gen age2=age1*age1;
gen age3=age2*age1;
gen age4=age3*age1;
gen age5=age4*age1;

gen age65=0;
replace age65=1 if age1>64;

gen ageheal=healw*age1;
gen age65heal=age65*healw;


sum married lfpr;


sum winc;
replace winc=0 if winc==. & married~=.;
replace _socy=0 if _socy==. & married~=.;
replace _peny=0 if _peny==. & married~=.;
replace winc=winc+_socy+_peny;

sum winc dead;



sum _socy _peny if age>65 & age<100;

drop if dead==1;
sum _socy _peny if age>65 & age<100;


*exit;
drop if age1>110;

sort age1;
by age1: sum winc _socy _peny;
*exit;


*some diagnostics;
egen meanwage=mean(lwage);
summ meanwage;

reg winc age1 age2 age3 age4 age5 age65 healw ageheal age65heal;

/*
xtreg winc age1 age2 age3 healw ageheal ,  fe i(indnum);
gen ww_cons=_b[_cons];
gen wwage1=_b[age1];
gen wwage2=_b[age2];
gen wwage3=_b[age3];
gen whealw=_b[healw];
gen wageheal=_b[ageheal];

gen wincpg=ww_cons + (wwage1*age1) + (wwage2*age2) + (wwage3*age3);
gen wincpb=wincpg + (whealw) + (wageheal*age1)    ; 
*/

xtreg winc age1 age2 age3 age4 healw  ageheal,  fe i(indnum);
gen ww_cons=_b[_cons];
gen wwage1=_b[age1];
gen wwage2=_b[age2];
gen wwage3=_b[age3];
gen wwage4=_b[age4];
*gen wwage2=0;

gen whealw=_b[healw];
gen wageheal=_b[ageheal];
*gen wageheal=0;

gen wincpg=ww_cons + (wwage1*age1) + (wwage2*age2) + (wwage3*age3)+ (wwage4*age4);



gen wincpb=wincpg + (whealw) + (wageheal*age1)    ; 


replace wincpg=0 if wincpg<0;
replace wincpb=0 if wincpb<0;



sort age1;
drop if age1==age1[_n-1]; 


drop if age1<50;
drop if age1>100;


two conn wincpg wincpb age1, ylabel(0(2000)10000) msymbol(T S D O) lpattern(solid longdash shortdash longdash_dot) ti("Spousal Earnings, by Health Status", size(medsmall)) l1(1998 dollars) ytitle("") saving(spouse_earn, replace);
graph use spouse_earn.gph;
graph display, ysize(6) xsize(8.25);
graph export c:\research\hrs\prof\spouse_earn.emf, replace;



keep  age1 wincpg wincpb ;
order age1 wincpg wincpb;

sum;

outsheet using c:\research\hrs\prof\prof_earn,nonames replace;

save c:\research\hrs\prof\prof_earn, replace;

*drop _all;
log close;






