# delimit ;
 set more 1 ;
capture log close;
log using C:\HRS\SSA3\STATA\restrict5.log, replace ;
drop _all;


use C:\HRS\SSA3\STATA\restrict4_workage;
sort HHID PN;
*drop pref_index;

gen oner=1;
sort oner;

merge oner using C:\HRS\SSA3\STATA\prefweights;
sum _merge;
drop _merge;


foreach var in V3319 V9063 V5009 V3319zero V9063miss V5009miss lfprw1 {;
  qui sum `var';
  gen `var'I = b`var'*r(mean);
	gen `var'c=b`var'*`var';
};
gen pref_index=V3319c+V9063c+V5009c+V3319zeroc+V9063missc+V5009missc+lfprw1c;




keep  AIME medcost wage healw inseprhi instied age assets lfpr llfpr  penwealth birthyr V3319 V5009 pref_index lfprw1;

order AIME medcost wage healw inseprhi instied age assets lfpr llfpr  penwealth birthyr V3319 V5009 pref_index lfprw1;;

*save C:\HRS\SSA3\STATA\restrict5, replace;

outfile using C:\HRS\SSA3\STATA\initdist.txt, replace wide;


*fake data for john;
gen rnder=invnorm(uniform());
replace AIME=25000+ 9000*rnder;
replace AIME=0 if AIME<0;
drop rnder;

gen rnder=invnorm(uniform());
replace assets=200000+ 200000*rnder;
replace assets=0 if assets<0;
drop rnder;
gen rnder=invnorm(uniform());
replace age=52;
replace age=54 if rnder>0;
drop rnder;
gen rnder=invnorm(uniform());
replace lfpr=1;
replace lfpr=0 if rnder>1;
sum rnder;
drop rnder;
replace llfpr=lfpr;
gen rnder=invnorm(uniform());
replace healw=0;
replace healw=1 if rnder>1;
sum rnder;
drop rnder;

gen rnder=invnorm(uniform());
replace inseprhi=0;
replace inseprhi=1 if rnder>0;
drop rnder;

gen rnder=invnorm(uniform());
replace instied=0;
replace instied=1 if rnder>0 & inseprhi~=1;
drop rnder;

gen rnder=invnorm(uniform());
replace wage=17+ 11*rnder;
replace wage=3 if wage<3;
drop rnder;

gen rnder=invnorm(uniform());
replace medcost=2700+ 7000*rnder;
replace medcost=0 if medcost<0;
drop rnder;


gen rnder=invnorm(uniform());
replace penwealth=71000+ 144000*rnder;
replace penwealth=0 if penwealth<0;
drop rnder;


order AIME medcost wage healw inseprhi instied age assets lfpr llfpr  penwealth birthyr V3319 V5009 pref_index lfprw1;

*save C:\HRS\SSA3\STATA\restrict5fake, replace;
outfile using C:\HRS\SSA3\STATA\initdistfake.txt, replace wide;


log close ;
program drop _all ;
*drop _all ;

