# delimit ;
 set more 1 ;
log using C:\HRS\SSA3\STATA\workage.log, replace ;
drop _all;


use C:\HRS\SSA3\STATA\restrict3;
*keep if wave==1;
drop if SScov==1 & SSYears>10;

gen year=92;
replace year=94 if wave==2;
replace year=96 if wave==3;
replace year=98 if wave==4;
replace year=100 if wave==5;


gen birthyear=year-age;
reg birthyear birthyr;

gen yeark = .;

local agek = 20;
while `agek' <= 60 {;

  qui replace yeark = `agek' + birthyr - 1900;

  qui gen workage`agek' = .;

  local year2 = 51;
  while `year2' <= 91 {;
    qui replace workage`agek' = work`year2' if yeark==`year2';
    local year2 = `year2' + 1;
  };

local agek = `agek' + 1;
};


gen work20s=workage20;
local agek = 21;
while `agek' <= 29 {;
  qui replace work20s=work20s+ workage`agek'   ;
local agek = `agek' + 1;
};


gen work30s=workage30;
local agek = 31;
while `agek' <= 39 {;
  qui replace work30s=work30s+ workage`agek'   ;
local agek = `agek' + 1;
};

gen work40s=workage40;
local agek = 41;
while `agek' <= 49 {;
  qui replace work40s=work40s+ workage`agek'   ;
local agek = `agek' + 1;
};

gen work50s=workage50;
local agek = 51;
while `agek' <= 59 {;
  qui replace work50s=work50s+ workage`agek'   ;
local agek = `agek' + 1;
};


reg lfpr work20s work30s work40s assets;

drop AIME;
sort HHID PN;

save C:\HRS\SSA3\STATA\workage, replace;
drop _all;


use C:\HRS\SSA3\STATA\restrict4_workage;
keep HHID PN true* AIME pen*currT; 

sort HHID PN;
merge HHID PN using C:\HRS\SSA3\STATA\workage;
tab _merge;
drop _merge;

save C:\HRS\SSA3\STATA\workage, replace;

 

log close ;
program drop _all ;
*drop _all ;

