# delimit ;  
set more 1 ;  
log using c:\research\hrs\prof\merge9.log, replace ; 
program drop _all;

program define merger;
        version 3.1;
use c:\research\hrs\prof\merge8, replace;
replace asset=.00001 if asset==0;
sort indnum age;
    local i = 51 ;
    while `i' <=69 { ;
	gen lfprgn`i'=0;		
	replace lfprgn`i'=dlfprn0 if age1==`i';
	replace lfprgn`i'=0 if healw==.;
	gen lfprbn`i'=0;
	replace lfprbn`i'=dlfprn1 if age1==`i';
	replace lfprbn`i'=0 if healw==.;
	gen hourgn`i'=0;
	replace hourgn`i'=dhourn0 if age1==`i';
	replace hourgn`i'=0 if healw==.;
 	gen hourbn`i'=0;
      replace hourbn`i'=dhourn1 if age1==`i';
	replace hourbn`i'=0 if healw==.;


	gen lfprgt`i'=0;		
	replace lfprgt`i'=dlfprt0 if age1==`i';
	replace lfprgt`i'=0 if healw==.;
	gen lfprbt`i'=0;
	replace lfprbt`i'=dlfprt1 if age1==`i';
	replace lfprbt`i'=0 if healw==.;
	gen hourgt`i'=0;
	replace hourgt`i'=dhourt0 if age1==`i';
	replace hourgt`i'=0 if healw==.;
 	gen hourbt`i'=0;
      replace hourbt`i'=dhourt1 if age1==`i';
	replace hourbt`i'=0 if healw==.;


	gen lfprgr`i'=0;		
	replace lfprgr`i'=dlfprr0 if age1==`i';
	replace lfprgr`i'=0 if healw==.;
	gen lfprbr`i'=0;
	replace lfprbr`i'=dlfprr1 if age1==`i';
	replace lfprbr`i'=0 if healw==.;
	gen hourgr`i'=0;
	replace hourgr`i'=dhourr0 if age1==`i';
	replace hourgr`i'=0 if healw==.;
 	gen hourbr`i'=0;
      replace hourbr`i'=dhourr1 if age1==`i';
	replace hourbr`i'=0 if healw==.;

	gen asset`i'=0;
	replace asset`i'=asset if age1==`i';
	gen healw`i'=.;
	replace healw`i'=healw if age1==`i';

	gen lnone`i'=0;
	replace lnone`i'=linsnone if age1==`i';
	gen ltie`i'=0;
	replace ltie`i'=linstie if age1==`i';
	gen leprhi`i'=0;
	replace leprhi`i'=leprhi if age1==`i';

local i = `i'+1 } ;
sort age1;

sort indnum age;
save c:\research\hrs\prof\merge9, replace;
end;
set trace off ;
merger;



rename age1 age;
gen birthyear=realyear-age;
* using the above technique, measured birthyear can vary from year to year.  Fix its value;
egen temp=median(birthyear), by(indnum);
replace birthyear=temp;

keep age birthyr indnum V3319 lfprw1 V3319zero V5009 V5009miss V9063 V9063miss hour* lfpr* healw* asset* lnone* ltie* leprhi*;

save c:\research\hrs\prof\merge9, replace;
drop _all;
program drop _all;
log close ;


