# delimit ;  
* this supercedes profass1.do;
* this does NOT DO fixed effects estimation;
set more 1 ;  
log using C:\research\hrs\prof\profass1.log, replace ; 
program drop _all;
use C:\research\hrs\merge\merge7;
drop if age1<51|age1>69; * keep just 19 years on each person ;
drop if male~=1;

* decide on total wealth or liquid assets;
rename assets wlth2;
*rename vla wlth2;



* get rid of outliers;
*drop if wlth2==.;
replace wlth2=wlth2/1000000;
sort age;
by age: summ wlth2;

set matsize 200;
* generate some age dummies;
program define makeadum;
        version 3.1;
    local i = 51 ;
    while `i' <=69 { ;
	gen a`i'=0;
	replace a`i'=1 if age==`i';
local i = `i'+1 } ;
end;
makeadum;

program define fixresid;
	version 3.1;
		reg res b22-b47 ;
predict predres;
fixcoh;
predict meanres;

summ predres meanres;
sort byear;
by byear: summ predres;
end;

program define fixcoh;
	version 3.1;
	local i=22; 
	while `i'<=47 {;
	replace b`i'=0;
	local i=`i'+1 };
	replace b40=1;
end;

sort indnum;
reg wlth2 a52-a69;
*adjust residuals for moment conditions ;
predict wpred;
predict se, stdp;

gen res=wlth2-wpred;
fixresid;

* replace res=res-predres+meanres;
replace wpred=wpred;
gen plus2se=wpred+2*se;
gen minus2se=wpred-2*se;
gen asset=wpred+res;
keep asset wpred wlth2 age indnum plus2se minus2se;
save C:\research\hrs\prof\asset, replace;
rename age age1;
keep age1 wpred plus2se minus2se;
sort age1;
drop if age1==age1[_n-1];
sort age1;
save C:\research\hrs\prof\asset1, replace;
drop _all;

* estimate assets for each age;
use C:\research\hrs\prof\asset, replace;
keep indnum age indnum asset;
rename age age1;
sort indnum age;
save C:\research\hrs\prof\asset, replace;

program drop _all;
drop _all;
log close ;


